﻿var ActiveXJS = {
    //ActiveX对象
    ActiveX: undefined,
    //根据类名、标签名 获取所有节点
    GetElementsByClassTag: function (className, tagName) {
        if (document.getElementsByClassName) {
            return document.getElementsByClassName(className);
        }
        else {
            //为了兼容ie8及其以下版本的方法
            var nodes = document.getElementsByTagName(tagName), ret = [];
            for (i = 0; i < nodes.length; i++) {
                if (hasClass(nodes[i], className)) {
                    ret.push(nodes[i]);
                }
            }
            return ret;
        }
    },
    //根据类名、标签名、属性值 获取第一个节点
    GetElementByClassTagAttr: function (className, tagName, AttributeName, AttributeValue) {
        var ret = ActiveXJS.GetElementsByClassTag(className, tagName);
        for (var i = 0; i < ret.length; i++) {
            if (ret[i].getAttribute(AttributeName) == AttributeValue) {
                return ret[i];
            }
        }
        return null;
    },
    //json字符串转json对象
    StringToJson: function (json) {
        return eval('(' + json + ')');
    },
    //录音插件
    RecordObject: {
        //录音状态 录音Record,暂停Pause,关闭Close
        RecordStatus: { Record: 'Record', Pause: 'Pause', Close: 'Close' },
        // 开始录音
        StartRecord: function () {
            return ActiveXJS.StringToJson(ActiveXJS.ActiveX.StartRecord());
        },
        //暂停录音
        PauseRecord: function () {
            return ActiveXJS.StringToJson(ActiveXJS.ActiveX.PauseRecord());
        },
        //继续录音
        ResumeRecord: function () {
            return ActiveXJS.StringToJson(ActiveXJS.ActiveX.ResumeRecord());
        },
        //保存录音
        SaveRecord: function () {
            return ActiveXJS.StringToJson(ActiveXJS.ActiveX.SaveRecord());

        },
        //关闭录音
        CloseRecord: function () {
            return ActiveXJS.StringToJson(ActiveXJS.ActiveX.CloseRecord());
        },
        //获取录音状态
        GetRecordStatus: function () {
            return ActiveXJS.StringToJson(ActiveXJS.ActiveX.GetRecordStatus());
        },
        //清除录音
        ClearRecord: function (filePath) {
            return ActiveXJS.StringToJson(ActiveXJS.ActiveX.ClearRecord(filePath));
        }
    }
};

window.onload = function () {
    ActiveXJS.ActiveX = document.getElementById("ActiveXControlObject"); //初始化插件对象
};
